Subject: bug#33720: closed (Re: bug#33720: GNUTLS substitute error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Dec 2018 10:59:02 +0000

Your bug report

#33720: GNUTLS substitute error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33720: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33720
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33720: GNUTLS substitute error
From: Ludovic Courtès <[email-masked]>
To: Formbi <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 14 Dec 2018 11:58:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Formbi <[email-masked]> skribis:

>>Did you follow the TLS / X.509 steps mentioned in the manual?
> yes
>
>>How did you install Guix?  How did you start guix-daemon?
>
> I installed it with the AUR package. I start guix-daemon using the systemd service that came with it.

In that case could you report it to the persons in charge of the AUR
package?  It seems something’s wrong there since the GnuTLS Guile module
cannot be found.

I’m closing the bug on our side but please do reopen it if the Arch
people think it’s an issue on our side!

Thanks,
Ludo’.

Subject: GNUTLS substitute error
From: Formbi <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 12 Dec 2018 20:38:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When i run guix pull or other commands which download something, I get this:

Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git 7b046b1
substitute: ;;; Failed to autoload make-session in (gnutls):
substitute: ;;; missing interface for module (gnutls)
substitute: Backtrace:
substitute:            3 (apply-smob/1 #<catch-closure 55a8301d4840>)
substitute: In ice-9/boot-9.scm:
substitute:     705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
substitute: In ice-9/eval.scm:
substitute:     619:8  1 (_ #(#(#<directory (guile-user) 55a830279140>)))
substitute: In guix/ui.scm:
substitute:   1578:12  0 (run-guix-command _ . _)
substitute:
substitute: guix/ui.scm:1578:12: In procedure run-guix-command:
substitute: error: make-session: unbound variable
guix pull: error: build failed: writing to file: Broken pipe

I use Arch with Guix as an additional package manager.